hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-3998) Oracle metastore update script will fail when upgrading from 0.9.0 to 0.10.0
Date Fri, 08 Feb 2013 23:49:13 GMT

    [ https://issues.apache.org/jira/browse/HIVE-3998?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13574955#comment-13574955
] 

Hudson commented on HIVE-3998:
------------------------------

Integrated in Hive-trunk-h0.21 #1961 (See [https://builds.apache.org/job/Hive-trunk-h0.21/1961/])
    HIVE-3998 Oracle metastore update script will fail when upgrading from 0.9.0 to
0.10.0 (Jarek and Mark via namit) (Revision 1443955)

     Result = SUCCESS
namit : http://svn.apache.org/viewcvs.cgi/?root=Apache-SVN&view=rev&rev=1443955
Files : 
* /hive/trunk/metastore/scripts/upgrade/oracle/011-HIVE-3649.oracle.sql

                
> Oracle metastore update script will fail when upgrading from 0.9.0 to 0.10.0
> ----------------------------------------------------------------------------
>
>                 Key: HIVE-3998
>                 URL: https://issues.apache.org/jira/browse/HIVE-3998
>             Project: Hive
>          Issue Type: Bug
>          Components: Metastore
>            Reporter: Jarek Jarcec Cecho
>             Fix For: 0.11.0
>
>         Attachments: oracle_update_issue.patch
>
>
> The problem is in following file {{011-HIVE-3649.oracle.sql}} that contains following
line:
> {code}
> alter table  SDS add IS_STOREDASSUBDIRECTORIES NUMBER(1) NOT NULL;
> {code}
> This query will however fail if the table SDS have at least one row.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message